import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增新增活动
    addSystemexamactivity(data) {
        return request({
            url: '/system/exam/activity/add',
            method: 'post',
            data
        })
    },
    //修改活动
    editSystemexamactivity(data) {
        return request({
            url: '/system/exam/activity/update',
            method: 'post',
            data
        })
    },
    //获取活动列表
    inquireSystemexamactivitylist(data) {
        return request({
            url: '/system/exam/activity/list',
            method: 'get',
            params: data
        })
    },
    //获取活动信息
    inquireSystemexamactivitydetail(data) {
        return request({
            url: '/system/exam/activity/detail/' + data,
            method: 'get',
        })
    },
    //获取活动用户列表
    inquireSystemexamactivityuserlist(data) {
        return request({
            url: '/system/exam/activity/user/list/' + data,
            method: 'get',
        })
    },
    //导出活动用户
    exportsystemexamactivity(data) {
        return request({
            url: '/system/exam/activity/export/' + data,
            method: 'get',
        })
    },
    //获取活动报名二维码
    exportsystemexamactivitycode(data) {
        return request({
            url: '/system/exam/activity/apply/code/' + data,
            method: 'get',
        })
    },
}